<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionJacobianEntry Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d16/a06961.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionJacobianEntry Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ac4fc44c786672ee42f9024098665b620"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d16/a06961.html#ac4fc44c786672ee42f9024098665b620">ExpansionJacobianEntry</a> (vector world2A[3], vector world2B[3], vector rel_pos1, vector rel_pos2, vector jointAxis, vector inertiaInvA, float massInvA, vector inertiaInvB, float massInvB)</td></tr>
<tr class="separator:ac4fc44c786672ee42f9024098665b620"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5309efd7e1953debab9e185e5ab88cf9"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d16/a06961.html#a5309efd7e1953debab9e185e5ab88cf9">GetDiagonal</a> ()</td></tr>
<tr class="separator:a5309efd7e1953debab9e185e5ab88cf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b6062420bb16f7a5d9acfa163472caf"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d16/a06961.html#a8b6062420bb16f7a5d9acfa163472caf">GetRelativeVelocity</a> (vector linvelA, vector angvelA, vector linvelB, vector angvelB)</td></tr>
<tr class="separator:a8b6062420bb16f7a5d9acfa163472caf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a5fce4a2f73a0f6d1f7c67f2811d4621f"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d16/a06961.html#a5fce4a2f73a0f6d1f7c67f2811d4621f">m_linearJointAxis</a></td></tr>
<tr class="separator:a5fce4a2f73a0f6d1f7c67f2811d4621f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e1ba650bf83ca83c5d87d33805fb98d"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d16/a06961.html#a3e1ba650bf83ca83c5d87d33805fb98d">m_aJ</a></td></tr>
<tr class="separator:a3e1ba650bf83ca83c5d87d33805fb98d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a571c61a8528035540983c3b7a8d62615"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d16/a06961.html#a571c61a8528035540983c3b7a8d62615">m_bJ</a></td></tr>
<tr class="separator:a571c61a8528035540983c3b7a8d62615"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92f5b926585c302535cee3b6c260528f"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d16/a06961.html#a92f5b926585c302535cee3b6c260528f">m_0MinvJt</a></td></tr>
<tr class="separator:a92f5b926585c302535cee3b6c260528f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf58f469c029f59ff713e85cdce70643"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d16/a06961.html#aaf58f469c029f59ff713e85cdce70643">m_1MinvJt</a></td></tr>
<tr class="separator:aaf58f469c029f59ff713e85cdce70643"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ee3d8bb4336db3e96b0bbc4714a9b59"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d16/a06961.html#a4ee3d8bb4336db3e96b0bbc4714a9b59">m_Adiag</a></td></tr>
<tr class="separator:a4ee3d8bb4336db3e96b0bbc4714a9b59"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d2/d80/a02645.html">ExpansionJacobianEntry.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d80/a02645_source.html#l00013">13</a> of file <a class="el" href="../../d2/d80/a02645_source.html">expansionjacobianentry.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac4fc44c786672ee42f9024098665b620" name="ac4fc44c786672ee42f9024098665b620"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4fc44c786672ee42f9024098665b620">&#9670;&#160;</a></span>ExpansionJacobianEntry()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionJacobianEntry::ExpansionJacobianEntry </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>world2A</em>[3], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>world2B</em>[3], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>rel_pos1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>rel_pos2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>jointAxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>inertiaInvA</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>massInvA</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>inertiaInvB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>massInvB</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d80/a02645_source.html#l00023">23</a> of file <a class="el" href="../../d2/d80/a02645_source.html">expansionjacobianentry.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a5309efd7e1953debab9e185e5ab88cf9" name="a5309efd7e1953debab9e185e5ab88cf9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5309efd7e1953debab9e185e5ab88cf9">&#9670;&#160;</a></span>GetDiagonal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionJacobianEntry::GetDiagonal </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d80/a02645_source.html#l00044">44</a> of file <a class="el" href="../../d2/d80/a02645_source.html">expansionjacobianentry.c</a>.</p>

</div>
</div>
<a id="a8b6062420bb16f7a5d9acfa163472caf" name="a8b6062420bb16f7a5d9acfa163472caf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b6062420bb16f7a5d9acfa163472caf">&#9670;&#160;</a></span>GetRelativeVelocity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionJacobianEntry::GetRelativeVelocity </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>linvelA</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>angvelA</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>linvelB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>angvelB</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d80/a02645_source.html#l00053">53</a> of file <a class="el" href="../../d2/d80/a02645_source.html">expansionjacobianentry.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a92f5b926585c302535cee3b6c260528f" name="a92f5b926585c302535cee3b6c260528f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92f5b926585c302535cee3b6c260528f">&#9670;&#160;</a></span>m_0MinvJt</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector ExpansionJacobianEntry::m_0MinvJt</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d80/a02645_source.html#l00018">18</a> of file <a class="el" href="../../d2/d80/a02645_source.html">expansionjacobianentry.c</a>.</p>

</div>
</div>
<a id="aaf58f469c029f59ff713e85cdce70643" name="aaf58f469c029f59ff713e85cdce70643"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf58f469c029f59ff713e85cdce70643">&#9670;&#160;</a></span>m_1MinvJt</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector ExpansionJacobianEntry::m_1MinvJt</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d80/a02645_source.html#l00019">19</a> of file <a class="el" href="../../d2/d80/a02645_source.html">expansionjacobianentry.c</a>.</p>

</div>
</div>
<a id="a4ee3d8bb4336db3e96b0bbc4714a9b59" name="a4ee3d8bb4336db3e96b0bbc4714a9b59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ee3d8bb4336db3e96b0bbc4714a9b59">&#9670;&#160;</a></span>m_Adiag</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionJacobianEntry::m_Adiag</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d80/a02645_source.html#l00021">21</a> of file <a class="el" href="../../d2/d80/a02645_source.html">expansionjacobianentry.c</a>.</p>

</div>
</div>
<a id="a3e1ba650bf83ca83c5d87d33805fb98d" name="a3e1ba650bf83ca83c5d87d33805fb98d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e1ba650bf83ca83c5d87d33805fb98d">&#9670;&#160;</a></span>m_aJ</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector ExpansionJacobianEntry::m_aJ</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d80/a02645_source.html#l00016">16</a> of file <a class="el" href="../../d2/d80/a02645_source.html">expansionjacobianentry.c</a>.</p>

</div>
</div>
<a id="a571c61a8528035540983c3b7a8d62615" name="a571c61a8528035540983c3b7a8d62615"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a571c61a8528035540983c3b7a8d62615">&#9670;&#160;</a></span>m_bJ</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector ExpansionJacobianEntry::m_bJ</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d80/a02645_source.html#l00017">17</a> of file <a class="el" href="../../d2/d80/a02645_source.html">expansionjacobianentry.c</a>.</p>

</div>
</div>
<a id="a5fce4a2f73a0f6d1f7c67f2811d4621f" name="a5fce4a2f73a0f6d1f7c67f2811d4621f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fce4a2f73a0f6d1f7c67f2811d4621f">&#9670;&#160;</a></span>m_linearJointAxis</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector ExpansionJacobianEntry::m_linearJointAxis</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d80/a02645_source.html#l00015">15</a> of file <a class="el" href="../../d2/d80/a02645_source.html">expansionjacobianentry.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Vehicles/Scripts/3_game/dayzexpansion_vehicles/physics/<a class="el" href="../../d2/d80/a02645_source.html">expansionjacobianentry.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/d16/a06961.html">ExpansionJacobianEntry</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
